*     AES INTERFACE COMMON AREAS FOR PROSPERO FORTRAN-77

*     15th April 1986

*     This file may be included in Fortran source programs
*     The array sizes may be increased if required

      INTEGER AES_addrin, AES_addrout
      INTEGER*2 AES_control, AES_global, AES_intin, AES_intout
      COMMON /ACONTR/ AES_control(0:4)
      COMMON /AGLOBA/ AES_global(0:15)
      COMMON /AINTIN/ AES_intin(0:16)
      COMMON /AINTOU/ AES_intout(0:7)
      COMMON /ADDRIN/ AES_addrin(0:2)
      COMMON /ADDROU/ AES_addrout(0:1)
      INTEGER pcontrol, pglobal, pintin, pintout, paddrin, paddrout
      COMMON /CCB/ pcontrol, pglobal, pintin, pintout,
     +             paddrin, paddrout
    
